Package robocode.control.events

# Class BattleEvent

java.lang.Object
robocode.control.events.BattleEvent

Direct Known Subclasses:
  `BattleCompletedEvent`, `BattleErrorEvent`, `BattleFinishedEvent`, `BattleMessageEvent`, `BattlePausedEvent`, `BattleResumedEvent`, `BattleStartedEvent`, `RoundEndedEvent`, `RoundStartedEvent`, `TurnEndedEvent`, `TurnStartedEvent`

public abstract class BattleEvent extends Object
This is the base class of all battle events.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)

## Constructor Summary

Constructors
Constructor
Description
`BattleEvent()`
Creates a new BattleEvent.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BattleEvent

public BattleEvent()
Creates a new BattleEvent.